OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
STEPSelections

# STEPSelections_SelectDerived Class Reference

`#include <STEPSelections_SelectDerived.hxx>`

Inheritance diagram for STEPSelections_SelectDerived:

[legend]

## Public Member Functions
Standard_EXPORT | STEPSelections_SelectDerived ()
virtual Standard_EXPORT Standard_Boolean | Matches (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model, const TCollection_AsciiString &text, const Standard_Boolean exact) const
| Tells if the value for <ent> in <model> matches a text, with a criterium <exact>. The default definition calls MatchValue Can be redefined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT STEPSelections_SelectDerived::STEPSelections_SelectDerived | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const STEPSelections_SelectDerived::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepSelect_StepType.

virtual Standard_EXPORT Standard_Boolean STEPSelections_SelectDerived::Matches | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model,
|  | const TCollection_AsciiString & | text,
|  | const Standard_Boolean | exact
| ) | const`[virtual]`

| Reimplemented from IFSelect_Signature.

The documentation for this class was generated from the following file:

- STEPSelections_SelectDerived.hxx